# CMxString Class

Namespace: `ArchestrA.Toolkit`

CMxString is derived from CMxCommon and provides support for string Attributes.

**Syntax**

```csharp
public class CMxString : CMxCommon
```

## CMxString Property

### Value Property

Provides a property to get and set the value as a string.

**Syntax**

```csharp
public string Value { get; set; }
```

**Returns**

string

## CMxString Constructors

### CMxString Constructor

Provides a default constructor.

**Syntax**

```csharp
public CMxString();
```

### CMxString Constructor string

Provides a constructor to initialize the class with a string.

**Syntax**

```csharp
public CMxStatus (string v);
```

**Parameters**

**`v`**

[in] string value to be set.

### CMxString Constructor SupportWrapper, string

Provides a constructor to initialize the class for use in a primitive wrapper.

**Syntax**

```csharp
public CMxString (SupportWrapper _wrapper, string _attributeRef);
```

**Parameters**

**`_wrapper`**

[in] SupportWrapper.

**`_attributeRef`**

[in] string value that holds the attribute reference.

## CMxString Method

### Set Method

Provides a method to set the value of the Attribute from a CMxString.

**Syntax**

```csharp
public void Set(CMxString val);
```

**Parameters**

**`val`**

[in] CMxString value to be set.

## CMxString Operator Overloads

### CMxString Operator Overload string

Provides an operator that converts from string to CMxString.

**Syntax**

```csharp
public static implicit operator CMxString (string x);
```

**Parameters**

**`x`**

[in] string value to convert to CMxString.

**Returns**

CMxString

### CMxString Operator Overload CMxValue

Provides an operator that converts from CMxValue to CMxString.

**Syntax**

```csharp
public static implicit operator CMxString (CMxValue val);
```

**Parameters**

**`val`**

[in] CMxValue value to convert to CMxString.

**Returns**

CMxString

### CMxValue Operator Overload CMxString

Provides an operator that converts from CMxString to CMxValue.

**Syntax**

```csharp
public static implicit operator CMxValue(CMxString val);
```

**Parameters**

**`val`**

[in] CMxString value to convert to CMxValue.

**Returns**

CMxValue

### string Operator Overload CMxString

Provides an operator that converts from CMxString to string.

**Syntax**

```csharp
public static implicit operator string (CMxString val);
```

**Parameters**

**`val`**

[in] CMxString value to convert to string.

**Returns**

string
